Bug 574034 - RFE: Add --disable-asserts, --with-trimesh=opcode and --enable-double-precision configuration options
Summary: RFE: Add --disable-asserts, --with-trimesh=opcode and --enable-double-precisi...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ode
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-16 13:04 UTC by Tadej Janež
Modified: 2010-12-29 21:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-08 22:16:36 UTC
Type: ---


Attachments (Terms of Use)

Description Tadej Janež 2010-03-16 13:04:02 UTC
Description of problem:
I'm trying to package Techne (http://www.nongnu.org/techne/), an open-source physical simulator and renderer, for Fedora. Techne is used by Billiards (http://www.nongnu.org/billiards/), an open-source 3D billiards simulator (I also plan to package it later).

Currently, I have to manually recompile the ode package and add the following
configuration options for Techne to work:
--disable-asserts,
--with-trimesh=opcode and
--enable-double-precision.

Would it be possible to include these configuration options directly in the ode package?

Version-Release number of selected component (if applicable):
ode-0.11.1-2.fc12.i686

Comment 1 Tadej Janež 2010-06-02 08:56:42 UTC
Ping?

Comment 2 Hans de Goede 2010-08-12 19:36:56 UTC
Hi,

Sorry about the slow response somehow I completely missed this one. If I'm slow to respond again please send me a direct mail at hdegoede@redhat.com (I get too much bugzilla mail).

So the problem is I cannot just go and change the ode compile time options as that changes the ABI and even if we were to fix that by recompiling all apps / libs using ode I'm sure quite a few of them would break.

So I'm afraid that simply changing these options is not an option. What I could do is create an ode-double-precision package with those or similar options which would install ode under a different name, then you would need to patch Techne to link to the differently named ode but that is not very hard to do.

Does this sound like a plan ?

Regards,

Hans

Comment 3 Bug Zapper 2010-11-03 19:31:31 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Hans de Goede 2010-11-03 20:10:05 UTC
Ping, Tadej, can you please respond to my proposal from comment #2 ?

Comment 5 Tadej Janež 2010-11-05 15:27:45 UTC
(In reply to comment #4)
> Ping, Tadej, can you please respond to my proposal from comment #2 ?

Hi Hans,

sorry for my late reply. I didn't respond to your comment right away and then it fell out of my radar.

(In reply to comment #2)
> So the problem is I cannot just go and change the ode compile time options as
> that changes the ABI and even if we were to fix that by recompiling all apps /
> libs using ode I'm sure quite a few of them would break. 

Ok, I understand.

> So I'm afraid that simply changing these options is not an option. What I could
> do is create an ode-double-precision package with those or similar options
> which would install ode under a different name, then you would need to patch
> Techne to link to the differently named ode but that is not very hard to do.
> 
> Does this sound like a plan ?

Yes, this sounds perfect to me. If you need my help, just let me know.

Regards,
Tadej

Comment 6 Hans de Goede 2010-11-08 22:16:36 UTC
Hi,

Ok, I've just done a new build for rawhide, which now has a ode-double subpackage which contains a version of ode compile with --enable-double-precision. I did not add --with-trimesh=opcode as that is the default :) I also did not add --disable-asserts as in my experience the asserts are quite useful and almost always show a real bug in the app using ode. Still if you really need --disable-asserts I can add that.

To use the ode-double package when compiling Techne, you will need to patch Techne's configure script (or equivalent) to use ode-double-config rather then ode-config, or if it is using pkgconfig to call ie "pkg-config --cflags ode-double" rather then "pkg-config --cflags ode". Once it is compiled this way the build package will automatically depend on ode-double rather then ode.

I've also done an f14 build, as I thought that would be easier for you to develop with: http://koji.fedoraproject.org/koji/buildinfo?buildID=204178

Let me know when you submit Techne for review, I might review it myself, and I need to follow it anyways, so as to make sure that I push the F-14 build to updates once it is actually needed (I've not created an update for the build yet as currently ode-double is not used by anything yet).

Regards,

Hans

Comment 7 Tadej Janež 2010-11-10 08:22:21 UTC
Thank you, Hans!

(In reply to comment #6)
 
> To use the ode-double package when compiling Techne, you will need to patch
> Techne's configure script (or equivalent) to use ode-double-config rather then
> ode-config, or if it is using pkgconfig to call ie "pkg-config --cflags
> ode-double" rather then "pkg-config --cflags ode". Once it is compiled this way
> the build package will automatically depend on ode-double rather then ode.

Also thanks for the detailed instructions on using ode-double!

> I've also done an f14 build, as I thought that would be easier for you to
> develop with: http://koji.fedoraproject.org/koji/buildinfo?buildID=204178

You are right, I'll try to package Techne on F14.
 
> Let me know when you submit Techne for review, I might review it myself, and I
> need to follow it anyways, so as to make sure that I push the F-14 build to
> updates once it is actually needed (I've not created an update for the build
> yet as currently ode-double is not used by anything yet).

I'll try out ode-double and then prepare Techne for review.

Regards,
Tadej

Comment 8 Tadej Janež 2010-12-07 11:43:12 UTC
Hi, Hans!

I packaged Techne and submitted it for review: see bug #660625.

I'm developing it on F13 because I can't upgrade my main development machine to F14 yet (some Python issues). That's why I would kindly ask you to do another F13 build of the latest ode package, so that ode-double can land in both F14 and F13.

I still have to check if Techne (and Billiards) really needs --disable-asserts or not.

Thanks and best regards,
Tadej

Comment 9 Hans de Goede 2010-12-07 16:00:34 UTC
Here is an official ode build for F-13, when you're ready to build techne for F-13 and F-14 we will request buildroot overrides to get these builds into the buildroot and then when techne is also build we can push the new ode + techne together as one update.

http://koji.fedoraproject.org/koji/buildinfo?buildID=208160

I've reviewed your techne package, it looks good but needs some small fixes, see the techne review bug.

Comment 10 Tadej Janež 2010-12-09 15:06:51 UTC
(In reply to comment #9)
> Here is an official ode build for F-13, when you're ready to build techne for
> F-13 and F-14 we will request buildroot overrides to get these builds into the
> buildroot and then when techne is also build we can push the new ode + techne
> together as one update.

Ok, perfect!
 
I hope we'll see Techne in Fedora soon.

Comment 11 Tadej Janež 2010-12-16 14:35:01 UTC
(In reply to comment #9)
> Here is an official ode build for F-13, when you're ready to build techne for
> F-13 and F-14 we will request buildroot overrides to get these builds into the
> buildroot and then when techne is also build we can push the new ode + techne
> together as one update.

I'm ready to build techne on F-13 and F14. Should I request buildroot overrides?

Comment 12 Hans de Goede 2010-12-16 15:01:26 UTC
Hi,

(In reply to comment #11)
> 
> I'm ready to build techne on F-13 and F14. Should I request buildroot
> overrides?

Yes please.

Thanks,

Hans

Comment 13 Tadej Janež 2010-12-18 13:46:18 UTC
Hi, Hans!

(In reply to comment #12)
> > I'm ready to build techne on F-13 and F14. Should I request buildroot
> > overrides?
> 
> Yes please.
 
I've done the techne builds on F-13 and F-14:
http://koji.fedoraproject.org/koji/buildinfo?buildID=210373
http://koji.fedoraproject.org/koji/buildinfo?buildID=210374

How should we proceed with the joint ode+techne update?

Comment 14 Hans de Goede 2010-12-18 14:26:26 UTC
(In reply to comment #13)
> Hi, Hans!
> 
> (In reply to comment #12)
> > > I'm ready to build techne on F-13 and F14. Should I request buildroot
> > > overrides?
> > 
> > Yes please.
> 
> I've done the techne builds on F-13 and F-14:
> http://koji.fedoraproject.org/koji/buildinfo?buildID=210373
> http://koji.fedoraproject.org/koji/buildinfo?buildID=210374
> 
> How should we proceed with the joint ode+techne update?

You can simply create an update in bodhi listing both packages in the same update (one for F-13 and one for F-14).

BTW, I assume you did test the techne packages and the not disabling of the asserts is not a problem?

Comment 15 Tadej Janež 2010-12-20 12:53:19 UTC
(In reply to comment #14)
>
> You can simply create an update in bodhi listing both packages in the same
> update (one for F-13 and one for F-14).

OK, I tried creating an update in bodhi, but it failed with this error:
"tadej does not have commit access to ode"

Does that mean you have to create the joint updates?

>
> BTW, I assume you did test the techne packages and the not disabling of the
> asserts is not a problem?

Yes, I tested it by running a billiards simulator written on top of Techne. Looks like the asserts are no longer a problem.

As it is, it's really hard to test Techne, because nothing in Fedora uses it. I plan on packaging the aformentioned billiards simulator to alleviate that.

Comment 16 Hans de Goede 2010-12-21 13:09:06 UTC
(In reply to comment #15)
> (In reply to comment #14)
> >
> > You can simply create an update in bodhi listing both packages in the same
> > update (one for F-13 and one for F-14).
> 
> OK, I tried creating an update in bodhi, but it failed with this error:
> "tadej does not have commit access to ode"
> 
> Does that mean you have to create the joint updates?
> 

That is likely to become messy. I'm happy to give you commit access to ode, so that you can do the update, and so that you can do small fixes in the future if necessary (for big fixes please mail first).

Go to:
https://admin.fedoraproject.org/pkgdb/acls/name/ode

Login, add yourself and at a minimum request commit rights. Then I'll ack them asap.

Regards,

Hans

Comment 17 Tadej Janež 2010-12-21 13:28:51 UTC
(In reply to comment #16) 
> That is likely to become messy. I'm happy to give you commit access to ode, so
> that you can do the update, and so that you can do small fixes in the future if
> necessary (for big fixes please mail first).
> 
> Go to:
> https://admin.fedoraproject.org/pkgdb/acls/name/ode
> 
> Login, add yourself and at a minimum request commit rights. Then I'll ack them
> asap.

Ok, I did that!

Thanks,
Tadej

Comment 18 Fedora Update System 2010-12-21 13:40:58 UTC
techne-0.2-1.fc14,ode-0.11.1-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/techne-0.2-1.fc14,ode-0.11.1-5.fc14

Comment 19 Fedora Update System 2010-12-21 13:44:17 UTC
techne-0.2-1.fc13,ode-0.11.1-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/techne-0.2-1.fc13,ode-0.11.1-5.fc13

Comment 20 Fedora Update System 2010-12-29 21:52:50 UTC
techne-0.2-1.fc14, ode-0.11.1-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-12-29 21:55:19 UTC
techne-0.2-1.fc13, ode-0.11.1-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.